summaryrefslogtreecommitdiffstats
path: root/misc/gxmessage
diff options
context:
space:
mode:
author koolniczka2010-05-11 20:01:07 +0200
committer Eric Hameleers2010-05-11 20:01:07 +0200
commitfff60ee9a2510733465213b47ad67570266df028 (patch)
tree5462c1e2e4b7c1ef5b779145a683b19ee40b79af /misc/gxmessage
parenteeede0876fa6d55170e1ee083fd3d991f2bc8fe7 (diff)
downloadslackbuilds-fff60ee9a2510733465213b47ad67570266df028.tar.gz
misc/gxmessage: Added to 12.0 repository
Diffstat (limited to 'misc/gxmessage')
-rw-r--r--misc/gxmessage/README4
-rw-r--r--misc/gxmessage/gxmessage.SlackBuild85
-rw-r--r--misc/gxmessage/gxmessage.info8
-rw-r--r--misc/gxmessage/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/misc/gxmessage/README b/misc/gxmessage/README
new file mode 100644
index 0000000000..30d65d4248
--- /dev/null
+++ b/misc/gxmessage/README
@@ -0,0 +1,4 @@
+gxmessage is a GTK based xmessage clone.
+
+Developed by Timothy Musson.
+http://homepages.ihug.co.nz/~trmusson/programs.html
diff --git a/misc/gxmessage/gxmessage.SlackBuild b/misc/gxmessage/gxmessage.SlackBuild
new file mode 100644
index 0000000000..0938feb9cb
--- /dev/null
+++ b/misc/gxmessage/gxmessage.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for gxmessage
+
+# Written by koolniczka
+# Copyright 2007 koolniczka <koolniczka@szm.com
+#
+# Based on Slackware build script for lame.
+# Copyright 2006 Martin Lefebvre <dadexter@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project.
+
+set -e
+
+PRGNAM=gxmessage
+VERSION=2.6.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+
+make
+make install-strip DESTDIR=$PKG
+
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+ )
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog HACKING INSTALL README TODO examples \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/misc/gxmessage/gxmessage.info b/misc/gxmessage/gxmessage.info
new file mode 100644
index 0000000000..7899e5a0bf
--- /dev/null
+++ b/misc/gxmessage/gxmessage.info
@@ -0,0 +1,8 @@
+PRGNAM="gxmessage"
+VERSION="2.6.2"
+HOMEPAGE="http://homepages.ihug.co.nz/~trmusson/programs.html#gxmessage"
+DOWNLOAD="http://homepages.ihug.co.nz/~trmusson/stuff/gxmessage-2.6.2.tar.gz"
+MD5SUM="429c49006d2e1c2075f89f612b892b4f"
+MAINTAINER="koolniczka"
+EMAIL="koolniczka@szm.com"
+APPROVED="alien"
diff --git a/misc/gxmessage/slack-desc b/misc/gxmessage/slack-desc
new file mode 100644
index 0000000000..06917f81f5
--- /dev/null
+++ b/misc/gxmessage/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gxmessage: gxmessage (GTK xmessage clone)
+gxmessage:
+gxmessage: gxmessage is a replacement for the xmessage athena-widget tool.
+gxmessage: It follows closely the original functionality and interface.
+gxmessage: It can be used in scripts to provide simple graphical input
+gxmessage: or information.
+gxmessage:
+gxmessage:
+gxmessage:
+gxmessage:
+gxmessage: